import request from '@/utils/request'
	
/**
 * @Descripttion: 优惠券Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-07-24)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-07-24)
*/

// 优惠券分页查询列表
export function couponList(query) {
  return request({
    url: '/business/Coupon/getCouponList',
    method: 'get',
    params: query
  })
}

// 优惠券新增或修改
export function addOrUpdateCoupon(data) {
  return request({
    url: '/business/Coupon/addOrUpdateCoupon',
    method: 'post',
    data: data,
  })
}

// 优惠券删除
export function delCoupon(ids) {
  return request({
    url: '/business/Coupon/'+ ids,
    method: 'delete'
  })
}

// 优惠券导出
export function exportCoupon(query) {
  return request({
    url: 'business/Coupon/exportCoupon',
    method: 'get',
    params: query
  })
}

